Bug 1242086 - Review Request: parcimonie.sh - Refresh your GnuPG keyring over Tor
Summary: Review Request: parcimonie.sh - Refresh your GnuPG keyring over Tor
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Charles R. Anderson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-10 21:22 UTC by Till Hofmann
Modified: 2015-09-19 17:23 UTC (History)
2 users (show)

Fixed In Version: 0-0.4.20150804gitc009937.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-01 18:32:05 UTC
cra: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Till Hofmann 2015-07-10 21:22:22 UTC
Spec URL: https://thofmann.fedorapeople.org/parcimonie.sh.spec
SRPM URL: https://thofmann.fedorapeople.org/parcimonie.sh-0-0.2.20150710gitd7d83f0.fc22.src.rpm

Description:
parcimonie.sh refreshes individual keys in your GnuPG keyring at randomized
intervals. Each key is refreshed over a unique, single-use Tor circuit.

rpmlint produces some warnings:
parcimonie.sh.noarch: W: spelling-error Summary(en_US) keyring -> keying, key ring, key-ring
--> I think keyring should be allowed, see e.g. gnome-keyring
parcimonie.sh.noarch: W: spelling-error %description -l en_US parcimonie -> parsimonious
--> that's the actual package name
parcimonie.sh.noarch: W: no-manual-page-for-binary parcimonie.sh
--> upstream does not provide a manpage

I do not use any of the systemd scriptlets because there is no default service, but only a service template.

Versioning: Upstream does not provide any versioning. In Arch Linux's AUR [1], the package version is constructed from the git commit hash, so I followed the guideline for prerelease snapshots. 

Fedora Account System Username: thofmann

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10332413


Comments and a review would be highly appreciated!


[1] https://aur.archlinux.org/packages/parcimonie-sh-git/

Comment 1 Till Hofmann 2015-07-26 15:56:19 UTC
One side note: Upstream actually recommends to use gnupg2 [1]. But a change in gnupg 2.1.4 currently causes parcimonie to fail [2]. Therefore, it seems reasonable to use gnupg v1 instead. Once the issue has been fixed, I'll update the package to instead use gnupg2 by default.


[1] https://github.com/EtiennePerot/parcimonie.sh#dependencies
[2] https://github.com/EtiennePerot/parcimonie.sh/issues/15

Comment 2 Charles R. Anderson 2015-07-26 23:42:57 UTC
[!]: Packages should try to preserve timestamps of original installed
     files.

I recommend that you use "install -p" to preserve timestamps of installed upstream files.

Comment 3 Till Hofmann 2015-07-27 07:29:40 UTC
Spec URL: https://thofmann.fedorapeople.org/parcimonie.sh.spec
SRPM URL: https://thofmann.fedorapeople.org/parcimonie.sh-0-0.3.20150710gitd7d83f0.fc22.src.rpm

Thanks for spotting the timestamp issue, it's fixed in the new build.

Comment 4 Charles R. Anderson 2015-07-27 15:49:18 UTC
There is no license statement in the parcimonie.sh script itself.  Can you please ask upstream if they could put the license statement in there?

Comment 5 Till Hofmann 2015-07-27 16:11:06 UTC
missing license statement reported upstream: https://github.com/EtiennePerot/parcimonie.sh/issues/16

Setting to NotReady until the license issue is fixed upstream.

Comment 6 Charles R. Anderson 2015-07-27 16:31:45 UTC
I'm not overly concerned about blocking this review until the license issue is addressed since the license is fairly clear given the included license text file and the fact that there is really only one source file.  So I'm confortable with going ahead with the formal review unless you want to wait.

Comment 7 Till Hofmann 2015-07-27 16:36:12 UTC
(In reply to Charles R. Anderson from comment #6)
> I'm not overly concerned about blocking this review until the license issue
> is addressed since the license is fairly clear given the included license
> text file and the fact that there is really only one source file.  So I'm
> confortable with going ahead with the formal review unless you want to wait.

If this is not an issue I'd appreciate it if you continued the review. 

I will however wait until this is fixed before submitting the package after review. They have reacted quickly to other bug reports and this issue is trivial to fix, so I assume this will be fixed rather quickly.

Comment 8 Charles R. Anderson 2015-07-27 17:01:47 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.
===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: parcimonie.sh-0-0.3.20150710gitd7d83f0.fc24.noarch.rpm
          parcimonie.sh-0-0.3.20150710gitd7d83f0.fc24.src.rpm
parcimonie.sh.noarch: W: spelling-error Summary(en_US) keyring -> keying, key ring, key-ring
parcimonie.sh.noarch: W: spelling-error %description -l en_US parcimonie -> parsimonious
parcimonie.sh.noarch: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
parcimonie.sh.noarch: W: no-manual-page-for-binary parcimonie.sh
parcimonie.sh.src: W: spelling-error Summary(en_US) keyring -> keying, key ring, key-ring
parcimonie.sh.src: W: spelling-error %description -l en_US parcimonie -> parsimonious
parcimonie.sh.src: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

- OK: There is no upstream manual page
- OK: keyring is common spelling, parcimonie is the name of the package



Rpmlint (installed packages)
----------------------------
parcimonie.sh.noarch: W: no-manual-page-for-binary parcimonie.sh
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

- OK: There is no upstream manual page

Requires
--------
parcimonie.sh (rpmlib, GLIBC filtered):
    /usr/bin/env
    config(parcimonie.sh)
    gnupg
    torsocks



Provides
--------
parcimonie.sh:
    config(parcimonie.sh)
    parcimonie.sh



Source checksums
----------------
https://github.com/EtiennePerot/parcimonie.sh/archive/d7d83f0da29d5880da6e8f060fa5e52738e8ae17/parcimonie.sh-d7d83f0da29d5880da6e8f060fa5e52738e8ae17.tar.gz :
  CHECKSUM(SHA256) this package     : 52c7b16b0edeab1844b88e05a9dfc880708ac41be19cd171d76277e973fc05ca
  CHECKSUM(SHA256) upstream package : 52c7b16b0edeab1844b88e05a9dfc880708ac41be19cd171d76277e973fc05ca


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -n parcimonie.sh -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

APPROVED

Comment 9 Till Hofmann 2015-08-04 16:05:26 UTC
Upstream has fixed the license header issue:

https://github.com/EtiennePerot/parcimonie.sh/commit/c00993738a93b75cba5b61bb2c57a51169484b6f

Comment 10 Till Hofmann 2015-08-04 16:05:45 UTC
New Package SCM Request
=======================
Package Name: parcimonie.sh
Short Description: Refresh your GnuPG keyring over Tor
Upstream URL: https://github.com/EtiennePerot/parcimonie.sh
Owners: thofmann
Branches: f21 f22 f23 epel7
InitialCC:

Comment 11 Gwyn Ciesla 2015-08-17 13:29:24 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2015-08-17 14:32:00 UTC
parcimonie.sh-0-0.4.20150804gitc009937.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/parcimonie.sh-0-0.4.20150804gitc009937.fc23

Comment 13 Fedora Update System 2015-08-17 14:33:40 UTC
parcimonie.sh-0-0.4.20150804gitc009937.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/parcimonie.sh-0-0.4.20150804gitc009937.fc22

Comment 14 Fedora Update System 2015-08-17 14:34:24 UTC
parcimonie.sh-0-0.4.20150804gitc009937.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/parcimonie.sh-0-0.4.20150804gitc009937.fc21

Comment 15 Fedora Update System 2015-08-17 14:35:07 UTC
parcimonie.sh-0-0.4.20150804gitc009937.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/parcimonie.sh-0-0.4.20150804gitc009937.el7

Comment 16 Fedora Update System 2015-08-19 08:22:08 UTC
parcimonie.sh-0-0.4.20150804gitc009937.fc21 has been pushed to the Fedora 21 testing repository.

Comment 17 Fedora Update System 2015-08-22 02:52:07 UTC
parcimonie.sh-0-0.4.20150804gitc009937.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update parcimonie.sh'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13752

Comment 18 Fedora Update System 2015-08-22 19:48:57 UTC
parcimonie.sh-0-0.4.20150804gitc009937.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update parcimonie.sh'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7672

Comment 19 Fedora Update System 2015-09-01 18:32:04 UTC
parcimonie.sh-0-0.4.20150804gitc009937.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-09-01 23:22:47 UTC
parcimonie.sh-0-0.4.20150804gitc009937.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-09-02 02:21:58 UTC
parcimonie.sh-0-0.4.20150804gitc009937.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-09-19 17:23:22 UTC
parcimonie.sh-0-0.4.20150804gitc009937.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.